Subject: Re: linux-next: arm tree build failure

From: Takashi Iwai <[email-masked]>
Date: Tue, 19 Aug 2008 13:21:44 +0200

At Tue, 19 Aug 2008 13:16:21 +0200,
Marek Vasut wrote:
> 
> Dne Tuesday 19 of August 2008 07:53:19 Stephen Rothwell napsal(a):
> > Hi Russell,
> >
> > Today's linux-next build (x86_64 allmodconfig) failed like this:
> >
> > drivers/input/touchscreen/ucb1400_ts.c: In function
> > 'ucb1400_ts_detect_irq': drivers/input/touchscreen/ucb1400_ts.c:333: error:
> > 'NO_IRQ' undeclared (first use in this function)
> >
> > I applied the following patch.
> > --
> > Cheers,
> > Stephen Rothwell                    [email-masked]
> > http://www.canb.auug.org.au/~sfr/
> >
> > From 3a6383e5556524c941c1421a0e65a0725189ac9e Mon Sep 17 00:00:00 2001
> > From: Stephen Rothwell <[email-masked]>
> > Date: Tue, 19 Aug 2008 15:49:30 +1000
> > Subject: [PATCH] ucb1400: restore NO_IRQ definition
> >
> > This piece of code was removed by commit
> > 2881353061f896c3894c64e39cf2be35b36aa9fc ("[ARM] 5184/1: Split ucb1400_ts
> > into core and touchscreen").
> >
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  drivers/input/touchscreen/ucb1400_ts.c |    4 ++++
> >  1 files changed, 4 insertions(+), 0 deletions(-)
> >
> > diff --git a/drivers/input/touchscreen/ucb1400_ts.c
> > b/drivers/input/touchscreen/ucb1400_ts.c index 006499b..5498662 100644
> > --- a/drivers/input/touchscreen/ucb1400_ts.c
> > +++ b/drivers/input/touchscreen/ucb1400_ts.c
> > @@ -289,6 +289,10 @@ static void ucb1400_ts_close(struct input_dev *idev)
> >  	ucb1400_reg_write(ucb->ac97, UCB_TS_CR, 0);
> >  }
> >
> > +#ifndef NO_IRQ
> > +#define NO_IRQ	0
> > +#endif
> > +
> >  /*
> >   * Try to probe our interrupt, rather than relying on lots of
> >   * hard-coded machine dependencies.
> 
> This is my fault indeed, sorry. I tested only on ARM.

I also got a build error with ucb1400 regarding undefined
gpio_get_value() (sorry I lost the exact build log).

The patch below fixes it, but not 100% sure whether it breaks the
build on ARM.  Please check it.

thanks,

Takashi

===

[PATCH] ucb1400 - Remove unneeded inclusion

Including asm-generic/gpio.h causes the compile errors no systems
without GPIO_LIB support.

Signed-off-by: Takashi Iwai <[email-masked]>

diff --git a/include/linux/ucb1400.h b/include/linux/ucb1400.h
index 8c10f31..970473b 100644
--- a/include/linux/ucb1400.h
+++ b/include/linux/ucb1400.h
@@ -24,7 +24,6 @@
 #define _LINUX__UCB1400_H
 
 #include <sound/ac97_codec.h>
-#include <asm-generic/gpio.h>
 #include <linux/mutex.h>
 #include <linux/platform_device.h>